# Uses of Class
org.globus.rsl.Bindings

Packages that use Bindings
Package
Description
org.globus.rsl
This library provides a convenience API for creating, manipulating, and checking the validity of RSL expressions.

## Uses of Bindings in org.globus.rsl

Methods in org.globus.rsl that return Bindings
Modifier and Type
Method
Description
`Bindings`
Bindings.`evaluate(Map symbolTable)`
Evaluates the variable definitions as variable definitions can reference each other against the symbol table.
`abstract Bindings`
AbstractRslNode.`getBindings(String attribute)`
Returns the variable definitions associated wit the given attribute.
`Bindings`
ListRslNode.`getBindings(String attribute)`
Returns the variable definitions associated wit the given attribute.
`Bindings`
RslNode.`getBindings(String attribute)`
Returns the variable definitions associated wit the given attribute.
`Bindings`
RslNode.`put(Bindings bindings)`
`abstract Bindings`
AbstractRslNode.`removeBindings(String attribute)`
Removes a bindings list for the specified attribute.
`Bindings`
ListRslNode.`removeBindings(String attribute)`
Removes a bindings list for the specified attribute.
`Bindings`
RslNode.`removeBindings(String attribute)`
Removes a bindings list for the specified attribute.
Methods in org.globus.rsl with parameters of type Bindings
Modifier and Type
Method
Description
`abstract boolean`
AbstractRslNode.`add(Bindings bindings)`
`boolean`
ListRslNode.`add(Bindings bindings)`
`boolean`
RslNode.`add(Bindings bindings)`
`Bindings`
RslNode.`put(Bindings bindings)`